<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\SubSystem;

class SubSystemSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $array = Array(
            // ['id' => 0, 'name' => '產品網站', 'type' => 0],
            ['id' => 1, 'name' => '安全智慧巡檢功能', 'type' => 1],
            ['id' => 2, 'name' => '電氣火災預警功能', 'type' => 1],
            ['id' => 3, 'name' => '化學品智慧安全管理功能', 'type' => 1],
        );

        foreach ($array as $value) {
            SubSystem::create($value);
        }
    }
}
